Results 1 to 3 of 3

Thread: 3d Poly Explode

  1. #1
    Active Member
    Join Date
    2007-11
    Posts
    68
    Login to Give a bone
    0

    Talking 3d Poly Explode

    Does anyone have a lisp that will explode all 3d poly lines?

  2. #2
    100 Club CADmium's Avatar
    Join Date
    2004-08
    Location
    Eberswalde, Germany, Europe
    Posts
    128
    Login to Give a bone
    0

    Default Re: 3d Poly Explode

    Code:
    (defun c:3dplexplode(/ AWS I)
      (if(setq AWS(ssget "_X" (list '(0   .       "POLYLINE")
                                    '(100 . "AcDb3dPolyline") ;<- don't work ??
                                     (cons 410 (getvar "CTAB"))
                              )
                  )
         )      
        (progn
          (setq I -1)
          (repeat (sslength AWS)
            (setq OBJ(ssname AWS(setq I(1+ I))))                
            (if(vl-remove-if-not '(lambda(X)(and(=(car X)100)
                                                (=(type(cdr X))'STR)
                                                (=(strcase(cdr X))"ACDB3DPOLYLINE")
                                            )
                                  )
                 (entget OBJ)
               )                                           
              (command "_explode" OBJ)
            )  
          )
        )
      )
    )

  3. #3
    I could stop if I wanted to
    Join Date
    2002-08
    Posts
    231
    Login to Give a bone
    0

    Default Re: 3d Poly Explode

    '(100 . "AcDb3dPolyline") ;<- don't work ??

    Make your filter with flag 70

    Code:
    (cond
      ((setq js
        (ssget "_X"
          (list
            '(0 . "POLYLINE")
            (cons 410 (getvar "CTAB"))
            '(-4 . "&")
            '(70 . 8)
          )
        )
       )
       (repeat (setq n (sslength js))
         (command "_.explode" (ssname js (setq n (1- n))))
       )
      )
    )
    Last edited by Opie; 2009-03-13 at 01:51 PM. Reason: [CODE] tags added

Similar Threads

  1. Tracing high poly 3D elements to get low poly
    By Burdurky in forum 3ds Max - General
    Replies: 0
    Last Post: 2012-12-03, 05:37 AM
  2. Poly Line Error
    By irneb in forum AutoCAD General
    Replies: 2
    Last Post: 2010-06-03, 06:21 AM
  3. Explode in LISP Does Not Explode Selection Set
    By Kevin Janik in forum AutoLISP
    Replies: 5
    Last Post: 2004-12-07, 10:10 PM
  4. 3D POLY LINE FILLET??
    By purvisp in forum AutoLISP
    Replies: 0
    Last Post: 2004-09-23, 06:03 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •